﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridMergeCells2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable table0 = new DataTable("Test");
            table0.Columns.Add("col1", typeof(string));
            table0.Columns.Add("col2", typeof(string));
            table0.Columns.Add("Edit", typeof(int));

            table0.Rows.Add("A", "AA", 1);
            table0.Rows.Add("A", "AA", 0);
            table0.Rows.Add("A", "AA", 1);
            table0.Rows.Add("B", "BB", 0);
            table0.Rows.Add("B", "BB", 1);
            table0.Rows.Add("B", "BB", 1);
            table0.Rows.Add("c", "AAA", 1);
            table0.Rows.Add("c", "AAA", 0);


            ultraGrid1.DataSource = table0;
            
       
           
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["col1"].MergedCellStyle = MergedCellStyle.Always;
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["col2"].MergedCellStyle = MergedCellStyle.Always;
            
        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if ((int)e.Row.Cells["Edit"].Value < 1)
            {
              
                e.Row.Appearance.BackColor = Color.LightGray;
               // e.Row.Appearance.AlphaLevel = 75;
            }
          
        }
    }


   
}
